**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto irssi

<https://irssi.org/documentation/>

## Syntaxe Vim irssilog

~~~
$ mkdir -p ~/.vim/syntax
$ wget '<http://www.vim.org/scripts/download_script.php?src_id=10584'> -O ~/.vim/syntax/irssilog.vim

vim 2016-08.log
:syntax on
:set syntax=irssilog
~~~

## Gérer les "window"

~~~
/WINDOW show x # créer une vue splité sur la fenêtre x
/WINDOW close # fermer la fenêtre courante
/WINDOW shrink|grow # rétrécir ou agrandir la fenêtre courante
/WINDOW balance # taille des fenêtres visible à l'identique
/WINDOW move x # déplace la fenêtre actuelle sur le numéro x
/WINDOW move UP # déplace la fenêtre sur celle du dessus
/WINDOW number x # change le numéro de la fenêtre active
/WINDOW show x # séparer la frame en deux avec la fenêtre x affiché : il faut que le mode 'sticky' soit désactivé pour cette fenêtre /WINDOW stick off
/WINDOW log ON #activer les logs pour cette fenêtre <- afin de faire une surveillance sur le fichier ou autre possibilité
~~~

Ne pas hésiter à sauvegarder sa session actuelle (thème)

~~~
/SAVE
~~~

## Action selon touche pressé

~~~
/BIND ^[OP key F1
/BIND ^[11~ key F1
/BIND F1 /me a besoin d'aide !
~~~

## Envoyer une commande CTCP à un utilisateur

~~~
/CTCP user (PING|VERSION|USERINFO|CLIENTINFO|TIME)
~~~

## Scripts sur irssi

Créer ou copier les scripts dans ~/.irssi/scripts/

~~~
/SCRIPT load <chemin>
/SCRIPT unload <nom script>
~~~
