**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# HowToOpenBSD/Unbound

Voici la démarche à suivre pour mettre simplement en place un résolver DNS DNSSEC sous OpenBSD.

~~~
# cd /var/unbound/etc
# ftp ftp://FTP.INTERNIC.NET/domain/named.cache
# vim /var/unbound/etc/unbound.conf
~~~

Voici ce que doit contenir le fichier /var/unbound/etc/unbound.conf

~~~
server:
        # interface sur laquelle le daemon écoute
        interface: XX.XX.XX.XX
        interface: 127.0.0.1
        interface: ::1

        access-control: 0.0.0.0/0 refuse
        access-control: 127.0.0.0/8 allow
        # important, on précise qui pourra interroger le service
        access-control: XX.XX.XX.0/24 allow    
        access-control: ::0/0 refuse
        access-control: ::1 allow

        hide-identity: yes
        hide-version: yes

        root-hints: "/var/unbound/etc/named.cache"

        auto-trust-anchor-file: "/var/unbound/db/root.key"
~~~

On récupère la clé racine DNSSEC, on met le flag unbound dans rc.conf.local et on démarre le daemon !

~~~
# unbound-anchor -a "/var/unbound/db/root.key"
# echo "unbound_flags=\"\"" >> /etc/rc.conf.local
# /etc/rc.d/unbound start
~~~
